{% load wagtailimages_tags %}

{% image main_image fill-1920x1080 as background_image %}
{% image profile_image fill-500x500 as processed_profile_image %}

<header
  class="
    flex items-center mb-4 w-full pt-96 pb-16
    bg-no-repeat bg-cover bg-center bg-blend-darken bg-[top_right_-7rem]

    {% if background_image %}
      bg-[#00000088]
    {% else %}
      bg-black
    {% endif %}

    xl:mb-20 xl:bg-center xl:py-52
  "

  {% if background_image %}
    style="background-image:url('{{ background_image.url }}')"
  {% endif %}
>
  <div class="container--wide w-full">
    <div class="text-white flex flex-col">
      {% firstof second_nav_text 'Osoby' as actual_second_nav_text %}

      {% include 'styleguide2/includes/atoms/header/navigation.html' with classes='mb-10' first_text=first_nav_text second_text=actual_second_nav_text first_link=first_nav_link %}

      <div
        class="
          flex gap-12 flex-nowrap flex-col

          lg:flex-row
        "
      >
        {% if not background_image %}
          <img
            class="rounded-full w-52 h-52"
            src="{{ processed_profile_image.url }}"
            alt="{{ processed_profile_image.alt }}"
          >
        {% endif %}

        <div class="flex flex-col">
          {% if degree_before %}
            <span
              class="
                text-xl font-alt
                sm:text-4xl
              "
            >
              {{ degree_before }}
            </span>
          {% endif %}

          <div class="flex items-baseline flex-col xl:flex-row font-alt">
            <span class="font-alt text-6xl xl:text-9xl grow xl:grow-0">{{ name }}</span>

            {% if degree_after %}
              <span class="text-2xl xl:text-4xl">
                <span class="hidden xl:inline">, </span>{{ degree_after }}
              </span>
            {% endif %}
          </div>

          {% if function or job %}
            <div
              class="
                text-lg font-bold mt-8
                xl:mt-[-0.7rem]
              "
            >
              {% if function %}
                <div class="mb-2">{{ function }}</div>
              {% endif %}

              {% if job and function != job %}
                <div>{{ job }}</div>
              {% endif %}
            </div>
          {% endif %}

          {% block after_function %}{% endblock %}
        </div>
      </div>
    </div>
  </div>
</header>
